Bug 834761 - Could not find mime-types-1.19 in openshift mirror
Could not find mime-types-1.19 in openshift mirror
Status: CLOSED CURRENTRELEASE
Product: OpenShift Origin
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Troy Dawson
libra bugs
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-23 06:32 EDT by Xiaoli Tian
Modified: 2015-05-14 18:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-13 10:59:55 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Xiaoli Tian 2012-06-23 06:32:29 EDT
Description of problem:
Try to install find mime-types-1.19 for a ruby app with local lib mirror by modifying source to  http://mirror1.prod.rhcloud.com/mirror/ruby/, it will fail with error:
remote: Fetching source index for http://mirror1.prod.rhcloud.com/mirror/ruby/
remote: Could not find mime-types-1.19 in any of the sources



Version-Release number of selected component (if applicable):
current prod local lib mirror repo

How reproducible:
Always

Steps to Reproduce:
1. could reproduce by just  gem install mime-types -v 1.19 --source  http://mirror1.prod.rhcloud.com/mirror/ruby/ from a devenv instance or with the following steps
2.create a rubyapp
3. rake new rubyapp
4. add mime-types (1.19) to Gemfile
5. git push
  
Actual results:
Could not find mime-types-1.19 in local lib mirrors

Expected results:
We could install it from the local mirrors

Additional info:
Comment 1 Troy Dawson 2012-06-25 11:35:01 EDT
It's possible that this hadn't been pulled down to our mirror, or maybe hadn't been indexed yet.  But it is working for me now on a dev machine.


[root@ip-10-62-90-197 ~]# gem install mime-types -v 1.19 --source  http://mirror1.prod.rhcloud.com/mirror/ruby/
Fetching: mime-types-1.19.gem (100%)
Successfully installed mime-types-1.19
1 gem installed
Installing ri documentation for mime-types-1.19...
Installing RDoc documentation for mime-types-1.19...
[root@ip-10-62-90-197 ~]# 

Can you please try again and see if it is now working for you.
Comment 2 Xiaoli Tian 2012-06-29 04:53:16 EDT
Strange, I could only find these:
[root@ip-10-118-86-221 ~]# gem search mime-types -r --source http://mirror1.prod.rhcloud.com/mirror/ruby/

*** REMOTE GEMS ***

mime-types (1.18, 1.17.2)
Comment 3 joycezhang 2012-07-02 01:12:50 EDT
This issue is also reproduced when creating ruby framework on Fedora 17 with gem 0.95.4. The error message "Can't find rake-0.9.2.2" is shown .

Please refer to the reproducible steps as below:
1. Install ruby-devel package and latest rails 3.2.6 on client. 
2. create a domain 
3. create a ruby app ruby1
4. Create a new Ruby application on new created local repo
#rails new ./ruby1
5. switch to app repo ruby1
6. Generate controller
#rails generate controller home index
7. create index.html.erb file under ./app/views/home dir
#cat ./app/views/home/index.html.erb
<h1>Hello, Rails!</h1>
8.remove public/index.html
#rm public/index.html
9. add new line to file ./config/routes.rb
root :to => "home#index"
10. bundle install
#bundle install --deployment
11. git add all new and modified files
#git add .
#git add -f .bundle
12. git commit changes
#git commit -m "comment"
13. git push
#git push

Actual result:
Git push failed as it can't find rake-0.9.2.2.
Comment 4 Troy Dawson 2012-07-02 09:37:41 EDT
I am getting very confused.

Are the images you are testing on in AWS or on a local machine.

When this is called "local mirror" it is local to Amazon Cloud, not for local installs.

If this machine is in the Amazon Cloud (AWS) please let me know which instance it is so I can look at it.

If this machine is not in the Amazon Cloud (AWS) then the mirror is working as it should.
Comment 6 Troy Dawson 2012-07-02 10:01:46 EDT
OK, I am now able to reproduce the error on your machine, and now mine as well.

I'm looking into the issue again.

Troy
Comment 7 Troy Dawson 2012-07-02 10:28:32 EDT
I found the problem we were having.  Although the fix is simple, it might take all day to finish.  I'll let you know when it is completely fixed.
Troy
Comment 8 Troy Dawson 2012-07-03 18:28:50 EDT
Just an update.
Technically, the fix is simple.  I have to rerun the gem generate_index (the full index and not an update) on the directory were we put the gems from rubygems.org.

But I've ran into several scaling problems that I forgot about last time I had to do this.  It should hopefully be done tomorrow.
Comment 9 Troy Dawson 2012-07-05 10:22:21 EDT
OK, It's fixed for all the mirror nodes.  It's also completely fixed so that it shouldn't happen again.

root@ip-10-72-13-217 ~]# gem list mime-types -V -r -s http://mirror1.prod.rhcloud.com/mirror/ruby/
*** REMOTE GEMS ***
GET http://mirror1.prod.rhcloud.com/mirror/ruby/latest_specs.4.8.gz
200 OK
mime-types (1.19)

[root@ip-10-72-13-217 ~]# gem list mime-types -V -r -s http://mirror2.prod.rhcloud.com/mirror/ruby/
*** REMOTE GEMS ***
GET http://mirror2.prod.rhcloud.com/mirror/ruby/latest_specs.4.8.gz
200 OK
mime-types (1.19)

[root@ip-10-72-13-217 ~]# gem search mime-types -r -s http://mirror1.prod.rhcloud.com/mirror/ruby/
*** REMOTE GEMS ***
mime-types (1.19)
Comment 10 Xiaoli Tian 2012-07-06 06:15:28 EDT
Verified it on devenv_1876, it;s fixed
# gem list mime-types -V -r -s http://mirror1.prod.rhcloud.com/mirror/ruby/

*** REMOTE GEMS ***

GET http://mirror1.prod.rhcloud.com/mirror/ruby/latest_specs.4.8.gz
200 OK
mime-types (1.19

Note You need to log in before you can comment on or make changes to this bug.